import 'dart:convert';
import 'dart:io';
import 'package:http/http.dart' as http;
import 'package:path/path.dart' as p;

const appName = 'fluct';

// The path to the root directory of the sdk
final String _sdkDir =(() {
  // The Dart executable is in "/path/to/sdk/bin/dart", so two levels up is
  // "/path/to/sdk".
  var aboveExecutable = p.dirname(p.dirname(Platform.resolvedExecutable));
  assert(FileSystemEntity.isFileSync(p.join(aboveExecutable, 'version')));
  return aboveExecutable;
})();

final String dartPath = p.join(_sdkDir,'bin','dart');

final String pubSnapshot = p.join(_sdkDir,'bin','snapshots','pub.dart.snaphot');
final String pubPath =  p.join(_sdkDir,'bin',Platform.isWindows?'pub.bat':'pub');


Future<String> transform(String filename)async{
    final result=await http.get('http://fanyi.youdao.com/translate?&doctype=json&type=AUTO&i=$filename');
    final resultString = result.body;
    // print(resultString);
    return json.decode(resultString)['translateResult'][0][0]['tgt'];
}